﻿<?xml version="1.0" encoding="utf-8"?>
<data>
  <data>
    <LibraryModel>
      <Name>TMModbus_v4.0.1</Name>
      <NameSpace></NameSpace>
      <Version>4.0.1</Version>
      <Revision>1</Revision>
      <LibraryId>e27d3d93-cb8b-41dc-a069-9c9c7f173870</LibraryId>
      <Author>ATC Europe</Author>
      <Company>Omron</Company>
      <DateCreated>2023-05-31T11:32:43.7204+02:00</DateCreated>
      <DateModified>2023-09-05T09:35:54.9679466+02:00</DateModified>
      <Comment></Comment>
      <Password></Password>
      <AttachedFiles />
      <AttachedFilesRelativePaths />
      <PublicPartsNames>
        <PublicName>ATC_E\TMModbus\TMModbusFB</PublicName>
        <PublicName>ATC_E\TMModbus\sConfiguration</PublicName>
        <PublicName>ATC_E\TMModbus\eRingLightStatus</PublicName>
        <PublicName>ATC_E\TMModbus\eRobotState</PublicName>
        <PublicName>ATC_E\TMModbus\eOperationMode</PublicName>
        <PublicName>ATC_E\TMModbus\eManualModeSettings</PublicName>
        <PublicName>ATC_E\TMModbus\eOutputFollow</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotStatus</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotButtonStatus</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotCartPosition</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotJointAngle</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotCoordinateTouch</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotVitals</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotJointTorque</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotJointSpeed</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotJointCurrent</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotJointTemperature</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotJoints</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotTCPLive</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotSafetyData</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotControllerData</PublicName>
        <PublicName>ATC_E\TMModbus\sAnalogInputCB</PublicName>
        <PublicName>ATC_E\TMModbus\sAnalogOutputCB</PublicName>
        <PublicName>ATC_E\TMModbus\sDigitalOutputsCB</PublicName>
        <PublicName>ATC_E\TMModbus\sDigitalInputsCB</PublicName>
        <PublicName>ATC_E\TMModbus\sControlBoxIO</PublicName>
        <PublicName>ATC_E\TMModbus\sEndModuleDI</PublicName>
        <PublicName>ATC_E\TMModbus\sEndModuleDO</PublicName>
        <PublicName>ATC_E\TMModbus\sEndModuleAI</PublicName>
        <PublicName>ATC_E\TMModbus\sEndModuleIO</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotIO</PublicName>
        <PublicName>ATC_E\TMModbus\sStatusSafetyOutputs</PublicName>
        <PublicName>ATC_E\TMModbus\sStatusSafetyInputs</PublicName>
        <PublicName>ATC_E\TMModbus\eSafetyFuctionsOutput</PublicName>
        <PublicName>ATC_E\TMModbus\sSafetyOutputsAssign</PublicName>
        <PublicName>ATC_E\TMModbus\eSafetyFuctionsInput</PublicName>
        <PublicName>ATC_E\TMModbus\sSafetyInputsAssign</PublicName>
        <PublicName>ATC_E\TMModbus\sSafetyOutputOSSD</PublicName>
        <PublicName>ATC_E\TMModbus\sSafetyIO</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotBase</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotTimer</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotTimers</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotCoordinate</PublicName>
        <PublicName>ATC_E\TMModbus\sMomentsOfInertia</PublicName>
        <PublicName>ATC_E\TMModbus\sCurrentTCPValue</PublicName>
        <PublicName>ATC_E\TMModbus\sOutputData</PublicName>
        <PublicName>ATC_E\TMModbus\sRobotStickButtons</PublicName>
        <PublicName>ATC_E\TMModbus\eProjectSpeed</PublicName>
        <PublicName>ATC_E\TMModbus\sControlBoxDO</PublicName>
        <PublicName>ATC_E\TMModbus\sControlboxAO</PublicName>
        <PublicName>ATC_E\TMModbus\sInputData</PublicName>
      </PublicPartsNames>
      <InternalPartsNames>
        <InternalName>ATC_E\TMModbus\fnModbusBytesToReal</InternalName>
        <InternalName>ATC_E\TMModbus\fnModbusRealToBytes</InternalName>
        <InternalName>ATC_E\TMModbus\fnModbusBytesToDINT</InternalName>
        <InternalName>ATC_E\TMModbus\fnModbusDintToBytes</InternalName>
        <InternalName>ATC_E\TMModbus\fnGetNextState</InternalName>
        <InternalName>ATC_E\TMModbus\fnCheckConfigEmpty</InternalName>
      </InternalPartsNames>
      <BuildDevice>
        <Category>Controller</Category>
        <Family>Nex</Family>
        <FullModel>NX102-1100</FullModel>
        <MajorVersion>1</MajorVersion>
        <MinorVersion>50</MinorVersion>
        <Revision>0</Revision>
        <DisplayVersion>1.50</DisplayVersion>
        <Packages>
          <Package Name="Motion" Version="1.50" />
          <Package Name="OPCUA" Version="1.50" />
          <Package Name="SecureSocket" Version="1.50" />
        </Packages>
      </BuildDevice>
      <DependencyId>62e4e79b-5724-41b1-bb06-b193e7043ec6</DependencyId>
      <IsSource>true</IsSource>
      <IsDisableSourceDisplay>true</IsDisableSourceDisplay>
      <IsIncludeReferredLibraries>false</IsIncludeReferredLibraries>
      <LibraryFilePath>C:\Users\vingio\OneDrive - OMRON\My OMRON\Appunti\ROBOT\COLLABORATIVI\MODBUS\TMModbus_v4.0.1_Release\TMModbus_v4.0.1.slr</LibraryFilePath>
      <LibraryFileRelativePath>OneDrive - OMRON\My OMRON\Appunti\ROBOT\COLLABORATIVI\MODBUS\TMModbus_v4.0.1_Release\TMModbus_v4.0.1.slr</LibraryFileRelativePath>
      <LibrarySourceControlRelativeFilePath>..\..\..\..\..\..\Users\vingio\OneDrive - OMRON\My OMRON\Appunti\ROBOT\COLLABORATIVI\MODBUS\TMModbus_v4.0.1_Release\TMModbus_v4.0.1.slr</LibrarySourceControlRelativeFilePath>
      <AsOldVer>false</AsOldVer>
      <SchemaVersion>3</SchemaVersion>
      <Parameter1>false</Parameter1>
    </LibraryModel>
  </data>
</data>